#include<bits/stdc++.h>
using namespace std;
int n,k,a[20005],res;
int main(){

cin>>n>>k;
for(int i=1; i<=n; i++){
    cin>>a[i];

    if(a[i-1]==k){
        res+=a[i];
    }
}

if(k==a[n]){
    cout<<a[1]<<endl;
}
else{
    cout<<res<<endl;
}

return 0;
}